FreeBSD : squid -- several remote denial of service vulnerabilities (e1156e90-7ad6-11de-b26a-0048543d60ce)

This script is Copyright (C) 2009-2016 Tenable Network Security, Inc.


Synopsis :

The remote FreeBSD host is missing one or more security-related
updates.

Description :

Squid security advisory 2009:2 reports :

Due to incorrect buffer limits and related bound checks Squid is
vulnerable to a denial of service attack when processing specially
crafted requests or responses.

Due to incorrect data validation Squid is vulnerable to a denial of
service attack when processing specially crafted responses.

These problems allow any trusted client or external server to perform
a denial of service attack on the Squid service.

Squid-2.x releases are not affected.

See also :

http://www.squid-cache.org/Advisories/SQUID-2009_2.txt
http://www.nessus.org/u?a45c2eff

Solution :

Update the affected packages.

Risk factor :

Medium / CVSS Base Score : 5.0
(CVSS2#AV:N/AC:L/Au:N/C:N/I:N/A:P)

Family: FreeBSD Local Security Checks

Nessus Plugin ID: 40396 (freebsd_pkg_e1156e907ad611deb26a0048543d60ce.nasl)

Bugtraq ID:

CVE ID: CVE-2009-2621
CVE-2009-2622

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now